Simpler Navigation coming for Servers and Operating Systems
Coming soon: a much simpler Servers and Operating Systems section of the Community. We will combine many of the older boards, and you won't have to click through so many levels to get at the information you need. If you are looking for an older board and do not find it, check the consolidated boards, as the posts are still there.
General
cancel
Showing results for 
Search instead for 
Did you mean: 

message :Can't find path for shared library: libintl.sl.1 for mozilla installation

yan_6
Occasional Contributor

message :Can't find path for shared library: libintl.sl.1 for mozilla installation

Hello evrebody ,
I have HPUX-11, i try to install "Mozilla 1.4" and when i am runing: /opt/mozilla/mozilla

I get this message:

Starting Mozilla ...

/usr/lib/dld.sl: Can't find path for shared library: libintl.sl.1
/usr/lib/dld.sl: No such file or directory
/opt/mozilla/run-mozilla.sh[36]: 6995 Abort(coredump)




I tried to find "libintl.sl.1" it is not existing !!


Could someone suggest a solution?

Thanks in advance

bosher

2 REPLIES
Alex Glennie
Honored Contributor

Re: message :Can't find path for shared library: libintl.sl.1 for mozilla installation

Sounds as if the GTK libraries B6848BA are not installed which mozilla needs :

does libintl.sl.1 exist on the system and is it the PATH set in $PATH & $SHLIB_PATH ?

Steve Steel
Honored Contributor

Re: message :Can't find path for shared library: libintl.sl.1 for mozilla installation

Hi

You forgot or missed something
The library is available but because the
*-PRG filesets ar enot loaded there are no symbolic links:


These are needed

B6848BA.Libiconv.LICONV-PRG
B6848BA.GTK+.GTK+-PRG
B6848BA.GLib.GLIB-PRG
B6848BA.Gettext.GETTEXT-PRG


You could try a workaround
making the links in /opt/gnome:

libiconv.sl -> libiconv.sl.2
libintl.sl -> libintl.sl.1

libcharset.sl -> libcharset.sl.1
libgdk.sl -> libgdk-1.2.sl.0
libglib.sl -> libglib-1.2.sl.0

libgtk.sl -> libgtk-1.2.sl.0

libgmodule.sl -> libgmodule-1.2.sl.0
libgthread.sl -> libgthread-1.2.sl.0



Steve Steel
If you want truly to understand something, try to change it. (Kurt Lewin)